Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::ReusableStringReader Class Reference

Used by DocumentsWriter to implemented a StringReader that can be reset to a new string; we use this when tokenizing the string value from a Field. More...

`#include <ReusableStringReader.h>`

Inheritance diagram for Lucene::ReusableStringReader:

## Public Member Functions

| ReusableStringReader ()
virtual | ~ReusableStringReader ()
virtual String | getClassName ()
boost::shared_ptr < ReusableStringReader > | shared_from_this ()
virtual void | init (const String &s)
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array. More...
virtual void | close ()
| Close the stream. More...
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character. More...
virtual int64_t | skip (int64_t n)
| Skip characters. More...
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation. More...
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. More...
virtual void | reset ()
| Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point. More...
virtual int64_t | length ()
| The number of bytes in the stream. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Data Fields

int32_t | upto
int32_t | left
String | s

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Used by DocumentsWriter to implemented a StringReader that can be reset to a new string; we use this when tokenizing the string value from a Field.

## Constructor & Destructor Documentation

Lucene::ReusableStringReader::ReusableStringReader | ( | ) |  |

virtual Lucene::ReusableStringReader::~ReusableStringReader | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::ReusableStringReader::_getClassName | ( | ) |  |

inline static

virtual void Lucene::ReusableStringReader::close | ( | ) |  |

virtual

Close the stream.

Implements Lucene::Reader.

virtual String Lucene::ReusableStringReader::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::Reader.

virtual void Lucene::ReusableStringReader::init | ( | const String & | s) |  |

virtual

virtual int32_t Lucene::ReusableStringReader::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

boost::shared_ptr< ReusableStringReader > Lucene::ReusableStringReader::shared_from_this | ( | ) |  |

inline

## Field Documentation

int32_t Lucene::ReusableStringReader::left

String Lucene::ReusableStringReader::s

int32_t Lucene::ReusableStringReader::upto

The documentation for this class was generated from the following file:

- ReusableStringReader.h

clucene.sourceforge.net